#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pnam	BDB
Summary:	BDB - Asynchronous Berkeley DB access
Summary(pl.UTF-8):	BDB - asynchroniczny dostęp do Berkeley DB
Name:		perl-BDB
Version:	1.92
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pnam}-%{version}.tar.gz
# Source0-md5:	2be2ce3cf9457d7775a32f3006abc2c0
URL:		https://metacpan.org/dist/BDB
BuildRequires:	db-devel >= 4.3
BuildRequires:	perl-devel >= 1:5.8.8
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-common-sense
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BDB - Asynchronous Berkeley DB access.

%description -l pl.UTF-8
BDB - asynchroniczny dostęp do Berkeley DB.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/BDB.pm
%dir %{perl_vendorarch}/auto/BDB
%attr(755,root,root) %{perl_vendorarch}/auto/BDB/BDB.so
%{_mandir}/man3/BDB.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-BDB.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 3d039c0
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> b730097
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 1194c85
- rebuild with perl 5.34.0

* Sun Jun 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 0d33708
- updated URL and macros

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 7e31fa9
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> af47fb0
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 69bb32c
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 9423f4d
- up to 1.92

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 7023776
- rebuild with perl 5.28.0
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 72cd578
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 09729bf
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 745c502
- Up to 1.91

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> b8f996b
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 195d743
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 42e94a0
- x32 rebuild
- release 7 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 6bcb3b9
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d79f2b0
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 126360f
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 05143d2
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> 4ef9b1a
- release 3 (by relup.sh)

